import { useRef, useEffect } from 'react';
import { select, axisLeft , axisBottom} from 'd3';

export const YAxis = ({ yScale, innerWidth }) => {
  const ref = useRef();
  useEffect(() => {
    const yAxisG = select(ref.current);
    const yAxis = axisLeft(yScale)
      .tickSize(-innerWidth)
      .tickPadding(18)
    .ticks(10, '~s')
    yAxisG.call(yAxis);
  }, []);
  return <g ref={ref} />;
};
